Package com.sun.jna

# Enum Class ELFAnalyser.ArmAeabiAttributesTag.ParameterType

java.lang.Object
java.lang.Enum<ELFAnalyser.ArmAeabiAttributesTag.ParameterType>
com.sun.jna.ELFAnalyser.ArmAeabiAttributesTag.ParameterType

All Implemented Interfaces:
  `Serializable`, `Comparable<ELFAnalyser.ArmAeabiAttributesTag.ParameterType>`, `Constable`

Enclosing class:
  ELFAnalyser.ArmAeabiAttributesTag

public static enum ELFAnalyser.ArmAeabiAttributesTag.ParameterType extends Enum<ELFAnalyser.ArmAeabiAttributesTag.ParameterType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NTBS`
  `UINT32`
  `ULEB128`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ELFAnalyser.ArmAeabiAttributesTag.ParameterType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ELFAnalyser.ArmAeabiAttributesTag.ParameterType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UINT32

    public static final ELFAnalyser.ArmAeabiAttributesTag.ParameterType UINT32

  - ### NTBS

    public static final ELFAnalyser.ArmAeabiAttributesTag.ParameterType NTBS

  - ### ULEB128

    public static final ELFAnalyser.ArmAeabiAttributesTag.ParameterType ULEB128

- ## Method Details

  - ### values

    public static ELFAnalyser.ArmAeabiAttributesTag.ParameterType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ELFAnalyser.ArmAeabiAttributesTag.ParameterType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null